Package: java.time.chrono

## Interface ChronoPeriod

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `boolean` | `isNonnegative()` Returns true if this period is zero or positive.
    `boolean` | `isNonpositive()` Returns true if this period is zero or negative.
    `boolean` | `isPositive()` Returns true if this period is positive, excluding zero.

  - #### Methods inherited from interface java.time.temporal.TemporalAmount

    `getAt`

- - ### Methods Detail

    - #### public boolean isNonnegative()

      Returns true if this period is zero or positive.

      Returns:
        true if nonnegative
      Since:
        2.5.0

    - #### public boolean isNonpositive()

      Returns true if this period is zero or negative.

      Returns:
        true if nonpositive
      Since:
        2.5.0

    - #### public boolean isPositive()

      Returns true if this period is positive, excluding zero.

      Returns:
        true if positive
      Since:
        2.5.0